Subject: Re: [PATCH] Teach 'git apply' to look at $GIT_DIR/config

From: Junio C Hamano <[email-masked]>
Date: Sat, 17 Feb 2007 16:28:03 -0800

Johannes Schindelin <[email-masked]> writes:

>> > If I read this correctly, running 'git apply' inside a git repository
>> > will parse $GIT_DIR/config and $HOME/.gitconfig. However, outside of a
>> > repository it will parse neither. It would make more sense to me to
>> > still parse $HOME/.gitconfig to pick up the user's global options.
>> 
>> I thought about that, but decided against it.  If you are truly
>> operating outside a git managed repository, it does not feel
>> right to apply configuration user has for git.
>
> That is a good point. But in the same vein, why not have a flag to 
> git-apply, and let it ignore the configuration altogether?

Do you mean --whitespace=strip option from the command line?

But I think Jeff is right.  It would make sense to let apply
and perhaps 'diff', if we can somehow merge 'diff2' into it,
still read from $HOME/.gitconfig if available.